Subject: Re: [PATCHv19 00/11] Expose submodule parallelism to the user

From: Johannes Sixt <[email-masked]>
Date: Mon, 29 Feb 2016 22:28:37 +0100

Am 29.02.2016 um 22:19 schrieb Junio C Hamano:
> Stefan Beller <[email-masked]> writes:
>
>> Maybe we want to remove the struct child_process from the
>> function signature of the callbacks and callbacks need to rely on
>> the data provided solely thru the pointer as passed around for
>> callback purposes, which the user is free to use for any kind
>> of data.
>
> I think that is the most sensible.

I also think that is the better approach. Dumping out the argv array is 
not the best end-user experience. It is just a debugging aid, and for 
that we have (or should extend if necessary) GIT_TRACE infrastructure. 
Moreover, a command that failed should have printed error messages, and 
it is not necessary to follow it up with another "A child process exited 
with code N" message.

-- Hannes